CREATE EXTENSION IF NOT EXISTS postgis;


CREATE TABLE IF NOT EXISTS stations (
    station_id UUID  DEFAULT gen_random_uuid() PRIMARY KEY,
    number INT NOT NULL,
    name VARCHAR(55) NOT NULL,
    latitude DOUBLE PRECISION NOT NULL,
    longitude DOUBLE PRECISION NOT NULL,
    height DOUBLE PRECISION NOT NULL,
    elevation_min DOUBLE PRECISION NOT NULL,
    elevation_max DOUBLE PRECISION NOT NULL
);
CREATE INDEX idx_stations_number ON stations(number);